alphabet = 'abcdefg'

print ('копию строки: ', alphabet)
print('элементы строки в обратном порядке: ', alphabet[::-1])
print ('каждый второй элемент строки (включая самый первый): ', alphabet[::2])
print ('каждый второй элемент строки после первого: ', alphabet[1::2])
print ('все элементы до второго: ',  alphabet[:1])
print ('все элементы, начиная с конца до предпоследнего: ', alphabet[-1:-2:-1])
print ('все элементы в диапазоне индексов от 3 до 4 (не включая 4): ', alphabet[3:4])
print ('последние три элемента строки:', alphabet[-3:])
print ('все элементы в диапазоне индексов от 3 до 4: ', alphabet[3:5])
print ('то же, что и в предыдущем пункте, но в обратном порядке: ', alphabet[4:2:-1])